%define upstream_name    Data-ID-Exim
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate Exim message IDs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes) >= 1.0.0
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module supplies a function which generates IDs using the algorithm
that the Exim MTA uses to generate message IDs. It also supplies functions
to manipulate such IDs, and the base 62 encoding in isolation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.9.0-5.mga9
+ Revision: 1808687
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-4.mga8
+ Revision: 1503718
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-3.mga7
+ Revision: 1282627
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.9.0-2.mga7
+ Revision: 1163777
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 0.9.0-1.mga7
+ Revision: 1159958
- new version 0.009

* Sat Jun 18 2016 pterjan <pterjan> 0.8.0-7.mga6
+ Revision: 1024810
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.8.0-6.mga6
+ Revision: 929856
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 739421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 684207
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 510614
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 365367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 169401
- update to 0.008

* Sat Nov 19 2011 kharec <kharec> 0.7.0-1.mga2
+ Revision: 169356
- imported package perl-Data-ID-Exim


* Sat Nov 19 2011 cpan2dist 0.007-1mga
- initial mageia release, generated with cpan2dist
